Subject: Re: bug#68081: 30.0.50; derived-mode and display-buffer-alist

From: martin rudalics <[email-masked]>
Date: Mon, 1 Jan 2024 10:38:09 +0100

> I agree, Info mode is only one of the affected modes, compilation-mode
 > also shows this behaviour and others might as well.

And these cannot be reasonably fixed all by moving the -mode calls in
front of the 'display-buffer' call in a consistent manner.

The original problem is with 'window-normalize-buffer-to-switch-to'.  It
should never be called in non-interactive use, so 'info' would have been
forced to provide a buffer as argument and not just a name.

I'm afraid that this inconsistency makes 'buffer-match-p' pretty useless
for 'pop-to-buffer' and its like.  A strong warning seems appropriate.

martin